apiVersion: v1
kind: Pod
metadata:
  name: pod-hostport-demo
spec:
  containers:
  - name: demo-env
    image: registry.cn-beijing.aliyuncs.com/wangxiaochun/pod-test:v0.1
    env:
    - name: PORT             #镜像的环境变量可以指定容器运行时使用的端口
      value: "9999"
    ports:                   
    - name: http             #不支持大写字母
      containerPort: 9999    #使用上面变量相同的端口
      hostPort: 8888         #使用宿主机的指定端口
